-- F1Dumper & Manager by Mickael2054 (First project)

System.memclean()

System.setHigh()

System.currentDirectory("ms0:/PSP/GAME/F1Dumper & Manager")

 
fichiers = nil
Selecteur = 1 -- Position du curseur(sur le listing) 
 
tpsexit = Timer.new()
tpsexit:stop()


--fonction centrer texte + font
function Textecentre(y,string,color)
screen:fontPrint(himfont, 240 - (string.len(string)*8) / 2 ,y,string,color);
end

------------------------------------------------------------------
 
while true do

screen:clear()

if System.powerGetBatteryLifePercent() >= 0 then battery = batterie1 end
if System.powerGetBatteryLifePercent() > 10 then battery = batterie2 end
if System.powerGetBatteryLifePercent() > 50 then battery = batterie3 end
if System.powerGetBatteryLifePercent() > 75 then battery = batterie4 end


--Fonction RAMclean()-->
function topmenu()
screen:blit(405,10,battery)
Textecentre(15,"Date : "..System.getDate(2).." of the "..System.getDate(3).." at "..System.getTime(1).."."..System.getTime(2),blanc)

screen:print(435,15,"("..System.powerGetBatteryLifePercent().."%)",blanc)

screen:fontPrint(himfont,30,25,"Hello "..System.nickName(),bleu)

screen:fontPrint(himfont,30,40,"Your firmware is "..System.cfwVersion(),bleu)

if System.usbState(3,0) == 1 then

screen:fontPrint(himfont,30,257,"USB activated",noir)
end
end
--Fonction RAMclean()
 
 
----Contrôle menu ---->
pad = Controls.read()

if pad:up() and not oldpad:up() then
Selecteur = Selecteur - 1
sonmenu:play()
end 

if pad:down() and not oldpad:down() then 
Selecteur = Selecteur + 1
sonmenu:play()
end

if pad:left() and not oldpad:left() then
Selecteur = 1
sonmenu:play()
end 

if pad:right() and not oldpad:right() then 
Selecteur = 9
sonmenu:play()
end

oldpad = Controls.read()
--<----Contrôle menu----------


----Affichage images (blit)---->
if Selecteur > 9 then
Selecteur = 1
end 

if Selecteur < 1 then
Selecteur = 9
end 

if Selecteur==1 then
screen:clear()
screen:blit(0,0,choix1)
topmenu()
end

if Selecteur==2 then
screen:clear()
screen:blit(0,0,choix2)
topmenu()
end

if Selecteur==3 then
screen:clear()
screen:blit(0,0,choix3)
topmenu()
end

if Selecteur==4 then
screen:clear()
screen:blit(0,0,choix4)
topmenu()
end

if Selecteur==5 then
screen:clear()
screen:blit(0,0,choix5)
topmenu()
end

if Selecteur==6 then
screen:clear()
screen:blit(0,0,choix6)
topmenu()
end

if Selecteur==7 then
screen:clear()
screen:blit(0,0,choix7)
topmenu()
end

if Selecteur==8 then
screen:clear()
screen:blit(0,0,choix8)
topmenu()
end

if Selecteur==9 then
screen:clear()
screen:blit(0,0,choix9)
topmenu()
end
--<----Affichage images (blit)----


----Choix menu(pad)---->
if pad:cross() and Selecteur == 1 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/copytoms.lua")
end

if pad:cross() and Selecteur == 2 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/dumpsmanager.lua")
end

if pad:cross() and Selecteur == 3 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/config.se.lua")
end

if pad:cross() and Selecteur == 4 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/webbrowser.lua")
end

if pad:cross() and Selecteur == 5 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/format.lua")
end

if pad:cross() and Selecteur == 6 and System.usbState(3,0) == 1 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/usbstop.lua")
end

if pad:cross() and Selecteur == 6 and System.usbState(3,0) == 0 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/usbstart.lua")
end

if pad:cross() and Selecteur == 7 and System.usbState(3,0) == 1 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/usbf1stop.lua")
end

if pad:cross() and Selecteur == 7 and System.usbState(3,0) == 0 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/usbf1start.lua")
end

if pad:cross() and Selecteur == 8 then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/by.lua")
end

if pad:cross() and Selecteur == 9 then

tpsexit:start()
end
--<----Choix menu(pad)----


----Exit---->
if tpsexit:time() > 1 then

screen:clear()
screen:blit(0,0,screenfree)
screen:fontPrint(himfont1,160,136,"Good bye : "..System.nickName().." !",noir)
end

if tpsexit:time() > 3000 then

System.Quit() 

end

screen.flip()
screen.waitVblankStart()

end
